=== debian/control ===
Source: nstx
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.4

Package: nstx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: Tunnel IP over DNS
 nstx allows you to pass IP packets via DNS queries. This allows you to use
 standard network protocols when otherwise only DNS would be available.
