=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wextra -Wall -ggdb -Werror -Wsign-compare    

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp

build-stamp:
	$(MAKE) CFLAGS="$(CFLAGS)"
	touch build-stamp

clean:
	rm -f build-stamp
	$(MAKE) clean
	dh_clean 

binary-indep: build

binary-arch: build
	dh_prep
	dh_installdirs
	install nstxd -D $(CURDIR)/debian/nstx/usr/sbin/nstxd
	install nstxcd -D $(CURDIR)/debian/nstx/usr/sbin/nstxcd
	dh_installchangelogs Changelog
	dh_installdocs
	dh_installexamples
	dh_installinit
	dh_installinit --name=nstxd
	dh_installinit --name=nstxcd
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary
